Bug 553142 - Merge Review: perl-MIME-tools - Modules for parsing and creating MIME entities in Perl
Summary: Merge Review: perl-MIME-tools - Modules for parsing and creating MIME entitie...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 626218 639523
TreeView+ depends on / blocked
 
Reported: 2010-01-07 08:53 UTC by Marcela Mašláňová
Modified: 2010-10-02 09:23 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-27 12:51:22 UTC
jskarvad: fedora-review+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-01-07 08:53:10 UTC
SRPM: http://kojipkgs.fedoraproject.org/packages/perl-MIME-tools/5.427/4.fc13/src/perl-MIME-tools-5.427-4.fc13.src.rpm
Spec: http://koji.fedoraproject.org/koji/fileinfo?rpmID=1712328&filename=perl-MIME-tools.spec
Description: MIME-tools is a collection of Perl5 MIME:: modules for parsing, decoding, and generating single- or multipart (even nested multipart) MIME messages.

Comment 1 Jaroslav Škarvada 2010-01-27 11:21:21 UTC
MUST items:
[NO] rpmplint is silent
$ rpmlint *.rpm
perl-MIME-tools.noarch: W: spurious-executable-perm /usr/share/doc/perl-MIME-tools-5.427/examples/mimeabuse
perl-MIME-tools.noarch: W: spurious-executable-perm /usr/share/doc/perl-MIME-tools-5.427/examples/mimetour
perl-MIME-tools.noarch: W: spurious-executable-perm /usr/share/doc/perl-MIME-tools-5.427/examples/mimesender
perl-MIME-tools.noarch: W: spurious-executable-perm /usr/share/doc/perl-MIME-tools-5.427/examples/mimeprint
perl-MIME-tools.noarch: W: spurious-executable-perm /usr/share/doc/perl-MIME-tools-5.427/examples/mimeref
perl-MIME-tools.noarch: W: doc-file-dependency /usr/share/doc/perl-MIME-tools-5.427/examples/mimesender perl(Mail::Send)
perl-MIME-tools.noarch: W: doc-file-dependency /usr/share/doc/perl-MIME-tools-5.427/examples/mimeref perl(Data::Dumper)
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

[YES] Package meets naming guidelines.
[YES] Package meets packaging guidelines.
[YES] Spec file matches base package name.
[YES] License file is present, matching with spec file.
[YES] Licensing Guidelines are met.
[YES] Spec file is legible and in American English.
[YES] Sources match upstream.
[YES] Package builds OK.
[YES] BuildRequires is correct.
[YES] Package doesn't bundle copies of system libraries.
[YES] Package owns all the directories it creates.
[YES] Package has no duplicity in %files.
[YES] Permission on files are set properly.
[YES] %clean section is correct.
[YES] Spec file has consistant macro usage.
[YES] Package is code or permissable content.
[YES] %doc files don't affect runtime.
[YES] No .la libtool archives.
[YES][Perl] Package doesn't own files/directories that other packages own.
[YES] Package has rm -rf $RPM_BUILD_ROOT at beginning of %install.
[YES] Spec file is valid UTF-8.

Should items:
[YES] Package builds in mock.
[YES] Package uses sane scriptlets.
[YES] Package contains man pages.

Comment 2 Paul Howarth 2010-01-27 11:32:10 UTC
(In reply to comment #1)
> MUST items:
> [NO] rpmplint is silent
> $ rpmlint *.rpm
> perl-MIME-tools.noarch: W: spurious-executable-perm
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimeabuse
> perl-MIME-tools.noarch: W: spurious-executable-perm
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimetour
> perl-MIME-tools.noarch: W: spurious-executable-perm
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimesender
> perl-MIME-tools.noarch: W: spurious-executable-perm
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimeprint
> perl-MIME-tools.noarch: W: spurious-executable-perm
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimeref
> perl-MIME-tools.noarch: W: doc-file-dependency
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimesender perl(Mail::Send)
> perl-MIME-tools.noarch: W: doc-file-dependency
> /usr/share/doc/perl-MIME-tools-5.427/examples/mimeref perl(Data::Dumper)
> 2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Note that, as commented in the spec file, the dependencies on perl(Mail::Send) and perl(Data::Dumper) are satisfied by packages that are already dependencies of perl-MIME-tools, so these are not additional dependencies. Having the example scripts executable makes them easier to try out and doesn't cause any additional problems.

Comment 3 Jaroslav Škarvada 2010-01-27 11:47:35 UTC
OK, thank you for clarification, giving +.

Comment 4 Paul Howarth 2010-08-23 10:06:24 UTC
Package Change Request
======================
Package Name: perl-MIME-tools
New Branches: el6
Owners: pghmcfc

This package is available in EL-6 Workstation Beta 2 Optional packages but not for EL-6 Server, making it unavailable as a build requirement in EPEL-6, causing for example perl-Email-Send to fail to build:

http://koji.fedoraproject.org/koji/getfile?taskID=2418088&name=root.log

I plan to clone the perl-MIME-tools-5.427-4.el6 package from EL-6 Workstation Beta 2 Optional and built it in EPEL-6.

Comment 5 Kevin Fenzi 2010-08-23 20:54:46 UTC
It would be best to wait and see if there is going to be a 
extra channel with this stuff so we don't have to duplicate work
with workstation first.

Comment 6 Paul Howarth 2010-08-24 06:56:46 UTC
In the meantime, we have broken deps in the repository, such as bugzilla (Bug #626218); this package is needed to resolve that.

Comment 7 Kevin Fenzi 2010-09-02 21:27:01 UTC
Yeah, sorry about that, but we don't want to just do something here now 
that we cannot easily back out of. ;( 

Hopefully we will hear something soon... see discussion on the epel-devel list.


Note You need to log in before you can comment on or make changes to this bug.